List webhook endpoint subscriptions
curl --request GET \
--url https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"createdAt": "2023-11-07T05:31:56Z",
"eventTypeId": "<string>"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Permissions required: Configure Webhooks
List the subscriptions that you configured for a webhook endpoint.
GET
/
webhook
/
endpoints
/
{endpointId}
/
subscriptions
List webhook endpoint subscriptions
curl --request GET \
--url https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"createdAt": "2023-11-07T05:31:56Z",
"eventTypeId": "<string>"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
Unique identifier for the endpoint
Minimum string length:
1Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Minimum string length:
1Maximum number of results to return per query
Required range:
1 <= x <= 100Was this page helpful?